Page MenuHomePhabricator

Array to string conversion in Scribunto includes/engines/LuaCommon/UstringLibrary.php on line 732
Closed, ResolvedPublic

Description

Error Message

Notice: Array to string conversion in /srv/mediawiki/php-1.32.0-wmf.4/extensions/Scribunto/includes/engines/LuaCommon/UstringLibrary.php on line 732

Stack Trace

Unfortunately there is no stack trace with php Notices.

Notes

This is happening quite often and appears to have started within the past couple of hours. I don't see any relevant changes to Scribunto so it is probably triggered by some change elsewhere in the calling code.

Event Timeline

mmodell created this task.May 22 2018, 7:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2018, 7:39 PM
Anomie added a subscriber: Anomie.May 22 2018, 9:34 PM

More likely is that someone on-wiki somwhere started doing something that triggers this. Do you have any URLs associated with the warning?

Change 434612 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/extensions/Scribunto@master] ustring: Handle invalid types in gsub

https://gerrit.wikimedia.org/r/434612

I found a way to make this error happen locally, although without the on-wiki reproduction I can't be sure it's the same cause. I guess we'll see if the warning goes away when this patch is deployed, assuming the on-wiki module isn't fixed first.

No url in logstash, sadly.

Change 434612 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] ustring: Handle invalid types in gsub

https://gerrit.wikimedia.org/r/434612

Vvjjkkii renamed this task from Array to string conversion in Scribunto includes/engines/LuaCommon/UstringLibrary.php on line 732 to lhcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
JJMC89 renamed this task from lhcaaaaaaa to Array to string conversion in Scribunto includes/engines/LuaCommon/UstringLibrary.php on line 732.Jul 1 2018, 2:22 AM
JJMC89 raised the priority of this task from High to Needs Triage.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.
Krinkle closed this task as Resolved.Jul 11 2018, 2:02 AM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

No longer appears in recent logs.